using System;
using UnityEngine;

public class PlayManager : SingletonMonoBehaviour<PlayManager>
{
    protected override void OnAwake()
    {
        if (GameManager.Instance == null)
        {
            UnityEngine.SceneManagement.SceneManager.LoadScene(0);
            return;
        }
    }

    Event keyEvent;


    public Action keyWdown = null;
    public Action keyAdown = null;
    public Action keySdown = null;
    public Action keyDdown = null;
    public Action keyQdown = null;
    public Action kewEsc = null;
    public Action keySpace = null;
    public Action leftMouve = null;
    public Action rightMouve = null;
    private void OnGUI()
    {
        keyEvent = Event.current;
        if (keyEvent.type == EventType.KeyDown)  // Ű  
        {
            switch (Event.current.keyCode)
            {
                case KeyCode.Escape:
                    kewEsc?.Invoke();

                    break;
                case KeyCode.A:
                    keyAdown?.Invoke();
                    break;
                case KeyCode.D:
                    keyDdown?.Invoke();
                    break;
                case KeyCode.S:
                    keySdown?.Invoke();
                    break;
                case KeyCode.W:
                    keyWdown?.Invoke();
                    break;
                case KeyCode.Q:
                    keyQdown?.Invoke();
                    break;
                case KeyCode.Space:
                    keySpace?.Invoke();
                    break;
            }
        }
    }
    private void Update()
    {
        if (Input.GetMouseButtonDown(0))
        {
            leftMouve?.Invoke();
        }
        if(Input.GetMouseButtonDown(1))
        {
            rightMouve?.Invoke();
        }
    }
}
